summaryrefslogtreecommitdiffstats
path: root/recipes-core/udev/demo-i2c-udev-conf/hvac-json-in-rewrite.sh
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2019-12-14 02:40:33 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2019-12-14 02:43:47 +0100
commitd412114c0cf132a77f3b3482c5440b1a1c961b77 (patch)
treec1bf535331d0332dea4171d38f2b026efab99000 /recipes-core/udev/demo-i2c-udev-conf/hvac-json-in-rewrite.sh
parent2bedc9120bc9cd4a9b06fddffa33216870d9a8f9 (diff)
Add udev rules and scripts for demo platform configurationicefish_8.99.3icefish/8.99.38.99.3
Add recipes for udev rules and associated scripts 1) Support USB attached I2C devices for RTC and HVAC LED support. The RTC support loads and configures the required rtc-ds1307 driver, and sets the time from the RTC clock. The HVAC LED support configures the LED device names for use by the HVAC binding. The new demo-i2c-udev-conf recipe is added to DEMO_PLATFORM_CONF variable in packagegroup-agl-demo-platform to have them added to the agl-demo-platform image. Since they use udev rules to detect the corresponding hardware, this should be safe for all platforms. Change-Id: Id08571b43c7ae9275496980e0a5568e145a1f653 Signed-off-by: Jan-Simon Moeller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'recipes-core/udev/demo-i2c-udev-conf/hvac-json-in-rewrite.sh')
-rwxr-xr-xrecipes-core/udev/demo-i2c-udev-conf/hvac-json-in-rewrite.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/recipes-core/udev/demo-i2c-udev-conf/hvac-json-in-rewrite.sh b/recipes-core/udev/demo-i2c-udev-conf/hvac-json-in-rewrite.sh
new file mode 100755
index 00000000..55576601
--- /dev/null
+++ b/recipes-core/udev/demo-i2c-udev-conf/hvac-json-in-rewrite.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# (C) 2018 Jan-Simon Möller, dl9pf@gmx.de, jsmoeller@linuxfoundation.org
+# License: Apache License 2.0
+
+#set -x
+set -e
+
+if [ $1 ] ; then
+ # The device is always 0009 -> 9 . Only change is the i2c IF .
+ LED=`echo $1 | sed -e "s#0009#9#g"`
+ if [ $? -eq 0 ] ; then
+ echo "$LED"
+ sed -e "s#@DEVICE@#$LED#" /etc/hvac.json.in > /etc/hvac.json
+ else
+ echo "Invalid argument"
+ exit 1
+ fi
+else
+ echo "Need argument"
+ exit 1
+fi \ No newline at end of file